import { Entity, Column, OneToOne, JoinColumn } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { Roles } from './roles.entity';

@Entity()
export class CommissionSetting extends BaseModel {
  @Column()
  name: string;

  @Column()
  commission: number;

  @OneToOne(() => Roles)
  @JoinColumn()
  role: Roles;
}
